xPierEvidence | R Documentation

## Function to extract evidence from a list of pNode objects

### Description

`xPierEvidence` is supposed to extract evidence from a list of pNode objects, in terms of seed genes under genetic influence.

### Usage

    xPierEvidence(list_pNode, target.query = NULL, verbose = TRUE)

### Arguments

`list_pNode` | a list of "pNode" objects or a "pNode" object
`target.query` | which gene is in query. If NULL, all genes will be queried
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to true for display

### Value

a data frame of nPair X 5 containing Gene-SNP pair info per context, where the 6 columns are "Gene" (seed genes), "SNP" (dbSNP), "Score" (an SNP's genetic influential score on a seed gene), "Context" (predictors), "Flag" (indicative of Lead SNPs or LD SNPs), and "Pval" (the SNP p-value)

### Note

none

### See Also

`xPierSNPsAdv`

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    df_Gene2SNP <- xPierEvidence(ls_pNode)

    ## End(Not run)